#include<stdio.h>
main()
{
	char c1,c2;
	scanf("%c%c",&c1,&c2);
	int a1,a2,i;
	scanf("%d%d",&a1,&a2);
	char string[50000];

		if(a1-a2==0||a1-a2==1||a2-a1==1)
		{
			if(a1>a2)
			{
			for(i=0;i<a1+a2;i++)
				if(i%2==0)
					string[i]=c1;
				else
					string[i]=c2;
			printf("%s",string);
			}
			else
			{
			for(i=0;i<a1+a2;i++)
				if(i%2==0)
					string[i]=c2;
				else
					string[i]=c1;
			printf("%s",string);	
			}
		}
		else
		printf("nemoguce");
}